Bug 3381 - Add an IntranetUserCSS system preference
Summary: Add an IntranetUserCSS system preference
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-01 03:00 UTC by Owen Leonard
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
proposed patch (135.37 KB, patch)
2010-12-11 23:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:50 UTC


---- Reported by oleonard@myacpl.org 2009-07-01 15:00:36 ----

The OPAC has an OPACUserCSS preference for adding inline styles to the OPAC. The staff client should have the same. It's particularly useful for Koha users who are hosted by a support company and don't have access to the filesystem of their server.

Besides adding the system preference to the database and the admin scripts, it would require adding this to doc-head-close.inc right after the other CSS links:

<!-- TMPL_IF NAME="IntranetUserCSS" --><style type="text/css"><!-- TMPL_VAR NAME="IntranetUserCSS " --></style><!-- /TMPL_IF -->



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3381 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3381

Actual time not defined. Setting to 0.0

Comment 1 Katrin Fischer 2010-07-26 08:45:05 UTC
Owen++

I think an IntranetUserCSS system preference would be really helpful.
Comment 2 Katrin Fischer 2010-11-26 13:11:32 UTC
Owen++

It would really make a good addition.
Comment 3 Katrin Fischer 2010-12-11 23:13:05 UTC
Created attachment 2835 [details] [review]
proposed patch
Comment 4 Katrin Fischer 2010-12-13 07:09:26 UTC
I have also pushed the branch to my public repo: 
https://github.com/kfischer/Koha/tree/3381_intranetusercss
Comment 5 Owen Leonard 2010-12-13 17:56:54 UTC
> https://github.com/kfischer/Koha/tree/3381_intranetusercss

I checked out a copy of this branch and found it to be working. If there's a better way to sign off on something that has been tested via a branch rather than a patch please let me know.
Comment 6 Chris Cormack 2010-12-13 23:17:40 UTC
Owen you can format a patch from that branch and sign that. But your note here is good enough for me.
Comment 7 Chris Cormack 2010-12-14 00:14:17 UTC
Pushed to master please test
Comment 8 MJ Ray (software.coop) 2011-01-11 12:57:40 UTC
This bug is mentioned in:
Bug 3381 - Add an IntranetUserCSS system	preference http://lists.koha-community.org/pipermail/koha-patches/2010-December/013242.html